import * as MongoDB from 'mongodb';
export default class CollectionFactory {
    client: MongoDB.MongoClient;
    db: MongoDB.Db;
    collections: {
        [index: string]: MongoDB.Collection;
    };
    connect(uri: string, dbName: string): Promise<void>;
    close(): Promise<void>;
    getCollection(collectionName: string): MongoDB.Collection<any>;
}
